[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#720199: section: metapackage for debian-edu packages (Re: Bug#719951: general: Autoremove Wants to remove Entire system)

Hi Holger,

that's an interesting issue you are reporting here.  IMHO it should be
rather filed against blends-dev.  IMHO we should create

   Section: metapackages

except if some other section is specified inside the tasks file.  May
be it is even better to force "Section: metapackages" in any case and
override any "Section" setting inside a task.  What do you think?

On Mon, Aug 19, 2013 at 05:01:01PM +0200, Holger Levsen wrote:
> package: debian-edu
> severity: wishlist
> x-debbugs-cc: debian-edu@lists.debian.org
> Hi,
> On Samstag, 17. August 2013, Ben Hutchings wrote:
> > Anyway, since gnome-core depends on iceweasel, removing iceweasel also
> > removes gnome-core.  Everything gnome-core depended on was marked
> > auto-installed, and then becomes auto-removable.
> > 
> > Changing the section of gnome-core to 'metapackages' disables this
> > behaviour - its dependencies will not be treated as auto-installed and
> > auto-removable (since apt version 0.7.26~exp6).
> AIUI we should do this for the packages build from the debian-edu package too.
> cheers,
> 	Holger

Holger, please be nice to other Blends and keep us informed.  I can not
guarantee that I fetch all new things / issues in Debian Edu.

Thanks for considering



Reply to: